package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 方法name path枚举类
*
* @author zxfei
*/
public enum MethodNameEnum {
    list("list", "列表"),
    delete("delete", "删除"),
    logicDelete("logicDelete", "逻辑删除"),
    saveOrUpdate("save", "保存更新"),
    batchSave("batchSave", "批量保存更新"),
    info("info", "详细"),
    exportExcel("exportExcel", "导出excel"),
    importData("importData", "导入excel"),
    downloadTemplate("downloadTemplate", "下载模板"),
    view("view", "详情");
    private String value;
    private String desc;

    MethodNameEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MethodNameEnum getByValue(String value) {
        for (MethodNameEnum wySigninEnum : MethodNameEnum.values()) {
            if (wySigninEnum.getValue() == value) {
                return wySigninEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MethodNameEnum item : MethodNameEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}